接口目录
接口文档
每日日报24小时热文流
选择开通时长:
接口地址:https://api.itapi.cn/api/news/24hours
返回格式:application/json
请求方式:HTTPSGET
请求参数:
| 参数名称 | 类型 | 必填 | 说明 |
|---|---|---|---|
| key | string | 是 | 用户请求密钥,可在 密钥管理页面 申请 |
返回参数:
| 参数名称 | 类型 | 说明 |
|---|---|---|
| author | string | 作者 |
| category | string | 分类 |
| title | string | 新闻标题 |
| summary | string | 简介 |
| content | string | 内容 |
| tags | string | 标签 |
| publish_time | string | 发布时间 |
系统错误代码:
| 代号 | 说明 |
|---|---|
| 200 | 成功 |
| 400 | 限制或者错误 |
| 403 | 权限问题 |
| 500 | 服务器内部错误 |
| 会员套餐 | 套餐规格 | 价格 | ||
|---|---|---|---|---|
| 免费会员 | 100次 | 0.00 元 | - | |
| 月付会员 | 不限 次 / 天 | 38 元 / 月 | - | |
| 年付会员 | 不限 次/天 | 380 元 / 年 | - | |
| * 专业会员指标注会员免费的产品,不支持专业会员的产品无法免费。 | ||||
本站接口已整体接入 MCP(Model Context Protocol)。把下面的端点填进支持 MCP 的客户端(Cherry Studio、Cursor、Claude Desktop 等),即可让大模型以「工具」的方式调用本接口;调用等同于用你的密钥请求本接口,鉴权、计费、限流、日志与直接调用接口完全一致。
MCP 端点:https://api.itapi.cn/mcp
本接口工具名:news_24hours(由接口路径自动生成)
鉴权方式:请求头 Authorization: Bearer 你的密钥
工具参数:
本接口无需额外参数,直接调用即可(密钥由鉴权头传递)。
调用示例(JSON-RPC):
复制{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "news_24hours",
"arguments": {}
}
}
cURL 调用:
复制curl -X POST 'https://api.itapi.cn/mcp' \
-H 'Authorization: Bearer 你的密钥' \
-H 'Content-Type: application/json' \
-d '{"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"news_24hours","arguments":{}}}'
Python 调用:
复制import requests
url = 'https://api.itapi.cn/mcp'
headers = {'Authorization': 'Bearer 你的密钥', 'Content-Type': 'application/json'}
payload = {"jsonrpc":"2.0","id":1,"method":"tools/call","params":{"name":"news_24hours","arguments":{}}}
print(requests.post(url, json=payload, headers=headers, timeout=60).json())
客户端配置:
复制{
"mcpServers": {
"itapi": {
"type": "streamable-http",
"url": "https://api.itapi.cn/mcp",
"headers": {
"Authorization": "Bearer 你的密钥"
}
}
}
}
tools/list 获取,本站全部接口都会映射为一个工具。